# Get

Launch stage: Beta

`GET /api/2.1/unity-catalog/{name=model-provider-services/*}`

Returns the model provider service identified by its resource name.

 You must be the owner of the model provider service or have `EXECUTE`,
 `READ_METADATA`, or `MANAGE` on it, plus `USE_CATALOG` on the parent
 catalog and `USE_SCHEMA` on the parent schema.

API scopes: unity-catalog

## Path parameters

- `name` (string, optional)
  Resource name of the model provider service.
   Format: `model-provider-services/{catalog}.{schema}.{model_provider_service}`.
   Each `{...}` component is capped at 255 characters individually.

## Returns

Returns the ModelProviderService object.

## Response

```json
{
  "name": "string",
  "owner": "string",
  "effective_owner": "string",
  "metastore_id": "string",
  "create_time": "string",
  "created_by": "string",
  "update_time": "string",
  "updated_by": "string",
  "comment": "string",
  "etag": "string",
  "config": {
    "provider_type": "string",
    "openai": {},
    "azure_openai": {},
    "anthropic": {},
    "amazon_bedrock": {},
    "custom": {},
    "microsoft_foundry": {},
    "gemini_enterprise": {},
    "allow_all_targets": true,
    "targets": [
      {}
    ],
    "forward_headers": true,
    "forward_query_parameters": true,
    "forward_unmanaged_paths": true,
    "rate_limits": [
      {}
    ],
    "inference_table": {}
  }
}
```

